Subject: Re: bug#10474: Building guile 2.x under mingw + msys

From: Andy Wingo <[email-masked]>
Date: Sun, 24 Feb 2013 14:25:06 +0100

On Tue 19 Feb 2013 19:00, Eli Zaretskii <[email-masked]> writes:

>> > 	* libguile/load.c (scm_init_load_path) [__MINGW32__]: Convert
>> > 	backslashes to forward slashes in values of GUILE_LOAD_PATH and
>> > 	GUILE_LOAD_COMPILED_PATH.
>> 
>> Is this necessary now that backslash is recognized as a file name
>> separator?
>
> Possibly.  But are you sure there's no more references to '/' alone in
> C code (as opposed to in Scheme)?

I am pretty sure, yes.  I just pushed some patches to make sure this is
the case, altering load.c's logic to be more structurally similar to
boot-9.scm's and preferring backslashes on Windows.

So with these last commits, hopefully native MinGW builds are supported.
Would you mind testing again?  Please send a new mail to
[email-masked] to track any new failures.

Thanks,

Andy
-- 
http://wingolog.org/